Foreman - Bug #6030

vSphere guest OS list needs to be updated
06/03/2014 01:09 AM - Daniel Lobato Garcia

Status: Closed

Priority: Normal

Assignee:

Category: Compute resources

Target version: 1.5.1

Difficulty: trivial Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1106969 Red Hat JIRA:

Pull request:

Description

app/models/compute_resources/foreman/model/vmware.rb contains a list with the enums for guest OSs in vSphere. It needs to be
updated according to this:

http:/pubs.vmware.com/vsphere-55/index.jsp?topic=%2Fcom.vmware.wssdk.apiref.doc%2Fvim.vm.GuestOsDescriptor. GuestOslde
ntifier.html

Associated revisions

Revision 2fba2dfc - 06/03/2014 01:10 AM - Michael Moll
fixes #6030 - update list of VMware guest types

Revision 0be75940 - 06/11/2014 01:02 PM - Michael Moll
fixes #6030 - update list of VMware guest types

(cherry picked from commit 2fba2dfc2be3949802594da68bd63e70d549fd64)

History

#1 - 06/03/2014 01:10 AM - Daniel Lobato Garcia

https://github.com/theforeman/foreman/pull/1488 solves this

#2 - 06/03/2014 01:31 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 2fba2dfc2be3949802594da68bd63e70d549fd64.

#3 - 06/03/2014 07:09 AM - Dominic Cleal
- translation missing: en.field_release set to 16

- Assignee set to Anonymous

#4 - 06/09/2014 06:46 PM - Bryan Kearney
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1106969

05/11/2024 1/1



http://pubs.vmware.com/vsphere-55/index.jsp?topic=%2Fcom.vmware.wssdk.apiref.doc%2Fvim.vm.GuestOsDescriptor.GuestOsIdentifier.html
http://pubs.vmware.com/vsphere-55/index.jsp?topic=%2Fcom.vmware.wssdk.apiref.doc%2Fvim.vm.GuestOsDescriptor.GuestOsIdentifier.html
https://github.com/theforeman/foreman/pull/1488
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/2fba2dfc2be3949802594da68bd63e70d549fd64
http://www.tcpdf.org

